> ## Documentation Index
> Fetch the complete documentation index at: https://waasapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取商户日报表

## 接口描述

提供商户及日期的业务日报统计数据，包含充值、提现、钱包余额等关键指标。


## OpenAPI

````yaml POST /api/v1/api/user/getUserDailyStatistics
openapi: 3.1.0
info:
  title: API Documentation
  description: A sample API documentation
  version: 1.0.0
servers:
  - url: https://waas2-out-api.powersafe-rel.cc/
security: []
paths:
  /api/v1/api/user/getUserDailyStatistics:
    post:
      tags:
        - user-controller
      summary: 获取商户每日统计
      operationId: getUserDailyStatistics
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 必须设置为 application/x-www-form-urlencoded
        - name: X-API-KEY
          in: header
          required: true
          description: 平台分配的商户身份凭证
          schema:
            type: string
            example: 53af2797-3eca-4412-b0cc-15273afe2d3e
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: string
                  description: |-
                    Base64编码的RSA加密数据，由以下原始参数加密生成:

                    **jobDate** (Date): 统计日期。

                    **userId** (int):  商户在 WaaS 系统中的ID。
                  pattern: ^[A-Za-z0-9+/]+={0,2}$
                  example: QqXI+lzQny4+QfWD+JAFcl1aq65Nj1kbfbQXmtjRO...
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - data
                properties:
                  code:
                    type: integer
                    description: 业务状态码（0 = 成功），其他值均表示失败。
                    example: 0
                  message:
                    type: string
                    description: 正常情况下返回为空，当请求失败时则会返回错误信息。
                    example: ''
                  data:
                    type: string
                    description: >-
                      Base64编码的RSA加密数据，由以下原始参数加密生成:


                      **jobDay** (string): 数据统计的日期（例如：2023-10-01）。


                      **totalDepositAmount** (number):  当日用户充值总金额。


                      **totalDepositCount** (integer): 当日充值总笔数（例如：100笔）


                      **totalDepositUserCount** (integer): 当日进行充值的用户数（例如：50个用户）。


                      **totalWithdrawAmount** (number): 当日用户提现总金额。


                      **totalWithdrawCount** (integer): 当日提现总笔数（例如：80笔）。


                      **totalWithdrawUserCount** (integer):
                      当日进行提现的用户数（例如：40个用户）。


                      **pendingCollectionAmount** (number): 系统中待归集的总金额。


                      **collectionCount** (integer): 当日完成的归集操作笔数（例如：10笔）。


                      **pendingCollectionAddressCount** (integer):
                      当前待归集的地址数量（例如：5个地址）。


                      **coldWalletBalance** (number): 冷钱包的余额。


                      **hotWalletBalance** (number): 热钱包的余额。


                      **additionalTransferHotWallet** (number): 当日热钱包额外转入的金额。
                    example: >-
                      G+RlQN2lJ4qQtiXJC7Y6rgHm5UI7TqM1fhPQ8CEf2C4e3jHu4yoK6pUkGIv+6FNyY/yyN30N7EaBA==....
              examples:
                encrypted_response_example:
                  summary: 加密响应示例
                  value:
                    code: 0
                    message: ''
                    data: >-
                      crstZOC2AC3L/WViSSe8MJNEdwt9DiL1iq2nZX3My7XzfAWaOZhFf0Uy1e3tMkhWnNxOUgItczCOQwo2UTJ....
                decrypted_response_example:
                  summary: 解密后的完整响应
                  value:
                    code: 0
                    message: ''
                    data: >-
                      [{"jobDay":1750348800000,"totalDepositAmount":1.0001,"totalDepositCount":1,"totalDepositUserCount":1,"totalWithdrawAmount":0.906,"totalWithdrawCount":1,"totalWithdrawUserCount":1,"pendingCollectionAmount":11.6507,"collectionCount":1,"pendingCollectionAddressCount":4,"coldWalletBalance":27.5701,"hotWalletBalance":23.081616,"additionalTransferHotWallet":0.0,"tenantId":1308679,"riskDepositCount":0,"riskDepositAmount":0.0}]
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  responses:
    UnauthorizedError:
      description: 用户未授权，需提供有效的身份凭证。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: UNAUTHORIZED
            message: unauthorized
    ForbiddenError:
      description: 访问被拒绝，用户许可权不足。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: FORBIDDEN
            message: forbidden
    NotFoundError:
      description: 请求的资源未找到，检查 URL 是否正确。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: NOT FOUND
            message: not found

````